Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xpath
Class XPath.NodeTest

    java.lang.Object
      weblogic.apache.xerces.impl.xpath.XPath.NodeTest

All Implemented Interfaces:
  Cloneable

Enclosing class:
  XPath

    public static class XPath.NodeTest

extends Object
implements Cloneable

Node test.

Field Summary
`QName` | `name` Node qualified name.
`static short` | `NAMESPACE` Type: namespace
`static short` | `NODE` Type: node.
`static short` | `QNAME` Type: qualified name.
`short` | `type` Node test type.
`static short` | `WILDCARD` Type: wildcard.

Constructor Summary
`XPath.NodeTest(QName name)` Constructs a node test of type QName.
`XPath.NodeTest(short type)` Constructs a node test of type WILDCARD or NODE.
`XPath.NodeTest(String prefix, String uri)` Constructs a node test of type Namespace.
`XPath.NodeTest(XPath.NodeTest nodeTest)` Copy constructor.

Method Summary
`Object` | `clone()` Returns a clone of this object.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QNAME

    public static final short QNAME

  Type: qualified name.

  See Also:
    Constant Field Values

### WILDCARD

    public static final short WILDCARD

  Type: wildcard.

  See Also:
    Constant Field Values

### NODE

    public static final short NODE

  Type: node.

  See Also:
    Constant Field Values

### NAMESPACE

    public static final short NAMESPACE

  Type: namespace

  See Also:
    Constant Field Values

### type

    public short type

  Node test type.

### name

    public final QName name

  Node qualified name.

Constructor Detail

### XPath.NodeTest

    public XPath.NodeTest(short type)

  Constructs a node test of type WILDCARD or NODE.

### XPath.NodeTest

    public XPath.NodeTest(QName name)

  Constructs a node test of type QName.

### XPath.NodeTest

    public XPath.NodeTest(String prefix,
                          String uri)

  Constructs a node test of type Namespace.

### XPath.NodeTest

    public XPath.NodeTest(XPath.NodeTest nodeTest)

  Copy constructor.

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Returns a clone of this object.

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD